Intraday Ticker

Stay up to date with market ticker

Base Endpoint

GET https://asxenergy.com.au/api/ticker

Parameters

Name Type Mandatory Description
futures STRING YES (mutually exclusive with options) Retrieve intraday ticker data for a specific market or futures code.
Accepted Market codes:
  • au_electricity
  • nz_electricity
  • au_gas
  • au_environmental
  • nz_environmental
Accepted Futures codes:
  • Initial code. E.g. BNH, EVJ
  • Exact code. E.g. HNZ2026, GNU2025
options STRING YES (mutually exclusive with futures) Retrieve historical ticker data for a specific market or options code.
Accepted Market codes:
  • au_electricity
  • nz_electricity
Accepted Options codes:
  • Initial code. E.g. BNZ, HQZ2026
  • Exact code. E.g. HNZ20260012000, EAH20260010000C
type STRING NO Filter by a specific type of ticker message.
Accepted types:
  • book
  • trade
  • settle
from STRING NO Optional lower bound time filter (inclusive).
Format: HHmmss (e.g., 093000 = 9:30:00 AM).
Returns all messages from this time onward.
to STRING NO Optional upper bound time filter (inclusive).
Format: HHmmss (e.g., 164530 = 04:45:30 PM).
Returns all messages up to this time.

CSV Support

The API supports CSV-formatted responses when requested via the Accept header.
To receive data in CSV format, set the following header in your request:

Accept: text/csv

Example

Futures Ticker:

  • Request:
  • GET https://asxenergy.com.au/api/ticker?futures=au_electricity
    
  • JSON Response:
  • {
        "futures": "au_electricity",
        "date": "20250513",
        "from": "000000",
        "to": "170806",
        "data": [
            {   // settlement ticker
                "time": "20250513160000",
                "code": "GNH2028",
                "type": "settle",
                "settle": "41.14",
                "timestamp_settle": "1746770497"
            },
            {   // book ticker
                "time": "20250513120717",
                "code": "BNM2025",
                "type": "book",
                "bid": "130.00",
                "bid_size": "2",
                "ask": "131.50",
                "ask_size": "5"
            },
            {   // trade ticker
                "time": "20250513120354",
                "code": "BVM2025",
                "type": "trade",
                "price": "93.50",
                "volume": "3"
            },
            // ...
        ]
    }
    
  • CSV Response:
  • time,code,type,bid,bid_size,ask,ask_size,price,volume,timestamp_settle,settle,implied_volatility
    20250513160000,GNH2028,settle,,,,,,,1746770497,41.14,
    20250513110717,BNM2025,book,130.00,2,131.50,5,,,,,
    20250513090354,BVM2025,trade,,,,,93.50,3,,,
    ...
    

Options Ticker:

  • Request:
  • GET https://asxenergy.com.au/api/ticker?options=au_electricity
    
  • JSON Response:
  • {
        "options": "au_electricity",
        "date": "20250509",
        "from": "000000",
        "to": "194500",
        "data": [
            {   // settlement ticker
                "time": "20250509155532",
                "code": "BQU20260009000P",
                "type": "settle",
                "settle": "11.32",
                "timestamp_settle": "1746770552",
                "implied_volatility": "30"
            },
            {   // book ticker
                "time": "20250509130102",
                "code": "HVM20260007500P",
                "type": "book",
                "bid": "0.10",
                "bid_size": "15",
                "ask": "0.40",
                "ask_size": "10"
            },
            {   // trade ticker
                "time": "20250509120545",
                "code": "HNM20260007500P",
                "type": "trade",
                "price": "0.25",
                "volume": "25"
            },
            
            // ...
        ]
    }
    
  • CSV Response:
  • time,code,type,bid,bid_size,ask,ask_size,price,volume,timestamp_settle,settle,implied_volatility
    20250509155532,BQU20260009000P,settle,,,,,,,1746770552,11.32,30
    20250509130102,HVM20260007500P,book,0.10,15,0.40,10,,,,,
    20250509120545,HNM20260007500P,trade,,,,,0.25,25,,,
    ...